Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PlatformDetector

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.PlatformDetector

    public class PlatformDetector

extends GenericPlugin

Detect platform attributes

Field Summary
`static boolean` | `IS_WIN32`
`static String[]` | `PLATFORM_NAMES`
`static String[]` | `UNIX_PLATFORM_NAMES`
`static String[]` | `WIN32_PLATFORM_NAMES`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`PlatformDetector()`

Method Summary
`PlatformResource` | `getPlatformResource(org.hyperic.util.config.ConfigResponse config)`
`static boolean` | `isSupportedPlatform(String name)`
`static boolean` | `isWin32(String name)`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, init, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_WIN32

    public static final boolean IS_WIN32

### UNIX_PLATFORM_NAMES

    public static final String[] UNIX_PLATFORM_NAMES

### WIN32_PLATFORM_NAMES

    public static String[] WIN32_PLATFORM_NAMES

### PLATFORM_NAMES

    public static final String[] PLATFORM_NAMES

Constructor Detail

### PlatformDetector

    public PlatformDetector()

Method Detail

### isSupportedPlatform

    public static boolean isSupportedPlatform(String name)

### isWin32

    public static boolean isWin32(String name)

### getPlatformResource

    public PlatformResource getPlatformResource(org.hyperic.util.config.ConfigResponse config)
                                         throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.